Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.instancetable
Class Action_RemoveInstance

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.widget.instancetable.Action_AbstractTableListener
              edu.stanford.smi.protegex.widget.instancetable.Action_RemoveInstance

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class Action_RemoveInstance

extends Action_AbstractTableListener

Description of the Class

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.instancetable.Action_AbstractTableListener
`_table, _widget`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`Action_RemoveInstance(InstanceTableWidget widget, InstanceTable table)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`

Methods inherited from class edu.stanford.smi.protegex.widget.instancetable.Action_AbstractTableListener
`isSlotEditable, setEnabledBySelection`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Action_RemoveInstance

    public Action_RemoveInstance(InstanceTableWidget widget,
                                 InstanceTable table)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `Action_AbstractTableListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request